Bug 1234627 - terminator broken dependency: python-keybinder
Summary: terminator broken dependency: python-keybinder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: terminator
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-22 21:20 UTC by truefreem
Modified: 2015-10-07 03:06 UTC (History)
4 users (show)

Fixed In Version: terminator-0.97-7.fc21 terminator-0.98-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 03:06:47 UTC


Attachments (Terms of Use)

Description truefreem 2015-06-22 21:20:23 UTC
Description of problem:

When starting terminator from another terminal, e.g. gnome-terminal, the following warning is shown:

Warning: python-keybinder is not installed. This means the hide_window shortcut will be unavailable
Unable to bind hide_window key, another instance/window has it.


Version-Release number of selected component (if applicable):

el6 - terminator 0.95

How reproducible:

Launch the program from a shell.

Steps to Reproduce:
1. Open shell (even an ssh session)
2. launch terminator
3.

Actual results:

no keybindings

Expected results:

keybindings

Additional info:

My system is CentOS 6.6

Comment 1 Fedora Update System 2015-06-25 22:25:07 UTC
terminator-0.97-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/terminator-0.97-7.fc21

Comment 2 Fedora Update System 2015-06-25 22:25:13 UTC
terminator-0.97-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/terminator-0.97-7.fc22

Comment 3 Fedora Update System 2015-06-25 22:25:19 UTC
terminator-0.95-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/terminator-0.95-3.el6

Comment 4 Fedora Update System 2015-06-25 22:25:25 UTC
terminator-0.97-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/terminator-0.97-4.el7

Comment 5 Fedora Update System 2015-06-26 16:10:49 UTC
Package terminator-0.95-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing terminator-0.95-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6930/terminator-0.95-3.el6
then log in and leave karma (feedback).

Comment 6 Tuomo Soini 2015-06-29 13:18:55 UTC
python-keybinder is not available on epel6 or epel7.

This same change broke terminator on epel7. Koji has revert for epel6 but not epel7.

Comment 7 truefreem 2015-06-29 17:25:07 UTC
Is it possible to provide python-keybinder on epel6 and epel7?

Comment 8 Dominic Hopf 2015-06-29 17:32:15 UTC
The only feature depending on python-keybinder is the feature to completely hide a window. Seriously, how often does one do this?

Comment 9 Fedora Update System 2015-07-10 19:11:44 UTC
terminator-0.97-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-07-10 19:15:46 UTC
terminator-0.97-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-08-26 22:49:13 UTC
terminator-0.97-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update terminator'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7807

Comment 12 Fedora Update System 2015-09-09 23:50:38 UTC
terminator-0.98-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update terminator'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8005

Comment 13 Fedora Update System 2015-10-07 03:06:45 UTC
terminator-0.98-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.